# https://github.com/calf-studio-gear/calf/archive/0.90.0.tar.gz

Name:           calf
Version:        0.90.3
Release:        %mkrel 3
Summary:        Pack of multi-standard audio plugins for LV2 and host for JACK

License:        GPLv2+ and LGPLv2+
Group:          Sound
URL:            http://calf-studio-gear.org/
Source:         %{name}-%{version}.tar.xz
Source1:	      %{name}-dssi.desktop

BuildRequires:  desktop-file-utils
BuildRequires:  dssi-devel
BuildRequires:  ladspa-devel
BuildRequires:  libpthread-stubs
BuildRequires:  %{_lib}alsa2-devel
BuildRequires:  %{_lib}atk1.0-devel
BuildRequires:  %{_lib}cairo-devel
BuildRequires:  %{_lib}expat1-devel
BuildRequires:  %{_lib}fftw-devel
BuildRequires:  %{_lib}fluidsynth-devel
BuildRequires:  %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}jack-devel
BuildRequires:  %{_lib}lash2-devel
BuildRequires:  %{_lib}pango1.0-devel
BuildRequires:  %{_lib}readline-devel
BuildRequires:  %{_lib}uuid-devel
BuildRequires:  lv2-devel
Requires:       redland
Requires:       lv2
Requires:       fluidsynth

%global common_desc \
The Calf project aims at providing a set of high quality open source audio\
plugins for musicians. All the included plugins are designed to be used with\
multitrack software, as software replacement for instruments and guitar stomp\
boxes.

%description
%common_desc

The plugins are available in LV2, DSSI, Standalone JACK and LADSPA formats.
This package contains the common files and the Standalone JACK plugin.

%package -n     ladspa-%{name}-plugins
Summary:	      Calf plugins in LADSPA format
Group:		      Sound
License:	      LGPLv2+
Requires:	      %{name} = %{version}-%{release}
Requires:	      ladspa

%description -n ladspa-%{name}-plugins
%common_desc

This package contains only LADSPA effect plugins (no GUI), with LRDF.

%package -n     lv2-%{name}-plugins
Summary:        Calf plugins in LV2 format
Group:          Sound
License:        GPLv2+ and LGPLv2+ and Public Domain
Requires:       %{name} = %{version}-%{release}
Requires:       lv2

%description -n lv2-%{name}-plugins
%common_desc

This package contains LV2 synthesizers and effects, MIDI I/O and GUI
extensions.

%package -n     dssi-%{name}-plugins
Summary:	      Calf plugins in DSSI format
Group:		      Sound
License:	      LGPLv2+
Requires:	      %{name} = %{version}-%{release}
Requires:	      dssi

%description -n dssi-%{name}-plugins
%common_desc

This package contains DSSI synthesizers and effects, also GUI extensions.

%prep
%setup -q
%apply_patches

%build

export NOCONFIGURE=1
./autogen.sh

# Add GenericName to the .desktop file
echo "GenericName= Audio Effects" >> %{name}.desktop.in
#./autogen.sh
# Make sure that optflags are not overriden.
sed -i 's|-O3||' configure

%configure2_5x \
  --with-lv2-dir=%{_libdir}/lv2 \
  --enable-static=false \
  --libdir=%{_libdir} \
  --enable-experimental=yes \
  --enable-sse
%make_build

%install
%makeinstall_std
# JACK host
desktop-file-install \
  --remove-category="Application" \
  --remove-category="GNOME" \
  --add-category="X-Midi" \
  --remove-key="Version" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop

# The DSSI host
ln -s jack-dssi-host %{buildroot}%{_bindir}/%{name}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# We don't need this:
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache
find %{buildroot} -type f -regex '.*\(\.a\|\.la\)$' -delete

#symlinks for dssi and ladspa
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ladspa
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/dssi
ln -s %{_libdir}/calf/calf.so $RPM_BUILD_ROOT/%{_libdir}/ladspa/calf.so
ln -s %{_libdir}/calf/calf.so $RPM_BUILD_ROOT/%{_libdir}/dssi/calf.so

%files
%doc AUTHORS ChangeLog COPYING* README TODO
%{_bindir}/%{name}*
%{_libdir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man?/%{name}*

%files -n ladspa-%{name}-plugins
%{_libdir}/ladspa

%files -n lv2-%{name}-plugins
%{_libdir}/lv2

%files -n dssi-%{name}-plugins
%{_bindir}/%{name}
%{_desktopdir}/%{name}-dssi.desktop
%{_libdir}/dssi


%changelog
* Sat Oct 16 2021 tex - 0.90.3-3pclos2021
- rebuild against updates

* Thu Oct 14 2021 onkelho <oh.quait at gmail.com> - 0.90.3-2pclos2021
- rebuild -

* Tue Oct 12 2021 onkelho <oh.quait at gmail.com> - 0.90.3-1pclos2021
- last release

* Wed Jun 26 2019 tex - 0.90.1-1pclos2019
- new version

* Sun Apr 29 2018 marcin82 <fixxer1982 at gmail.com> 0.90.0-1pclos2018
- update, added BR: libpthread-stubs

* Wed Jun 17 2015 bb <bb> 0.0.19-2pcls2015
- fix rpm group to just Sound
- clean up BR

* Tue Jun 16 2015 pp <pp> 0.0.19-1pclos2015
- imported package
